Package: org.codehaus.groovy.runtime.callsite

## [Java] Class CallSiteClassLoader

- org.codehaus.groovy.runtime.callsite.CallSiteClassLoader

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ClassLoaderForClassArtifacts` | `klazz`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CallSiteClassLoader (Class klazz)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Class` | `loadClass(String name, boolean resolve)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassLoaderForClassArtifacts` | `createClassName, define, defineClassAndGetConstructor, loadClass`

    `class ClassLoader`

    `getName, loadClass, getPlatformClassLoader, getSystemClassLoader, getSystemResourceAsStream, getResourceAsStream, getSystemResource, getResource, getResources, getDefinedPackage, resources, isRegisteredAsParallelCapable, getSystemResources, getParent, getUnnamedModule, getDefinedPackages, setDefaultAssertionStatus, setPackageAssertionStatus, setClassAssertionStatus, clearAssertionStatus, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public CallSiteClassLoader(Class klazz)

  - ### Method Detail

    - #### protected Class loadClass(String name, boolean resolve)